## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global major_soversion 2
%global minor_soversion 6

Name:           stellarsolver
Version:        2.6
Release:        %autorelease
Summary:        The Cross Platform Sextractor and Internal Astrometric Solver
License:        BSD-3-Clause and GPL-2.0-or-later and GPL-3.0-or-later and LGPL-2.0-or-later and LGPL-3.0-or-later and MIT
# License breakdown
#
# Whole work according to LICENSE: GPLv3+
#
# Below: Files with explicitly different license
#
# BSD 3-clause:
#   stellarsolver/astrometry/* EXCEPT files mentioned below,
#          check stellarsolver/astrometry/LICENSE
#
# GPLv2+:
#   stellarsolver/*.{cpp,h}
#   stellarsolver/astrometry/include/astrometry/*qfits*.h
#   stellarsolver/astrometry/qfits-an/*
#   stellarsolver/astrometry/util/md5.c
#   tester/{mainwindow,nan}.*
#   testerutils/{dms,stretch}.*
#
# LGPLv2+:
#   testerutils/bayer.*
#
# LGPLv3+ and BSD and MIT:
#   stellarsolver/sep/*
#          check stellarsolver/sep/README.md for details
#
# MIT:
#   stellarsolver/astrometry/blind/windirent.h
#   
URL:            https://github.com/rlancaste/%{name}/
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz


# Buildtime tools
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  desktop-file-utils
# Libraries
BuildRequires:  cfitsio-devel
BuildRequires:  gsl-devel
BuildRequires:  qt6-qtbase-devel
BuildRequires:  wcslib-devel

# The source code bundles modified code from astrometry.net and SEP
Provides:       bundled(astrometry) = 0.89
Provides:       bundled(sep) = 1.2.0

# We split shared libs into subpackage, thus we should require its exact
# version here
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description
StellarSolver is the Cross Platform Sextractor and Internal Astrometric Solver:
* An Astrometric Plate Solver for Mac, Linux, and Windows, built on
  Astrometry.net and SEP (sextractor)
* Meant to be an internal library for use in a program like KStars for internal
  plate solving on all supported operating systems

%package        libs
Summary:        Shared library of StellarSolver

%description    libs
Shared library of Stellarsolver, meant to be an internal library for use in
a program like KStars for internal plate solving on all supported operating
systems.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%forgesetup


%build
%cmake -DBUILD_TESTER=ON \
       -DBUILD_BATCH_SOLVER=ON \
       -DUSE_QT5=OFF
%cmake_build


%install
%cmake_install


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/com.github.rlancaste.%{name}.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/com.github.rlancaste.stellarbatchsolver.desktop


%files
%license LICENSE
%doc README.md
%{_bindir}/StellarSolverTester
%{_bindir}/StellarBatchSolver
%{_datadir}/applications/com.github.rlancaste.stellarsolver.desktop
%{_datadir}/applications/com.github.rlancaste.stellarbatchsolver.desktop
%{_datadir}/icons/*/*/*/StellarSolverIcon.png
%{_datadir}/icons/*/*/*/StellarBatchSolverIcon.png

%files libs
%license LICENSE
%doc README.md
%{_libdir}/*.so.%{major_soversion}
%{_libdir}/*.so.%{major_soversion}.%{minor_soversion}

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/cmake/StellarSolver/
%{_libdir}/pkgconfig/stellarsolver.pc


%changelog
## START: Generated by rpmautospec
* Sun Feb 02 2025 Orion Poplawski <orion@nwra.com> - 2.6-5
- Rebuild with gsl 2.8

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jan 03 2025 Marie Loise Nolden <loise@kde.org> - 2.6-3
- use qt6 for kstars

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jul 07 2024 Mattia Verga <mattia.verga@proton.me> - 2.6-1
- Update to 2.6 (fedora#2296158)
- Fix compatibility with strict C99 mode (fedora#2159395)

* Mon Jan 29 2024 Mattia Verga <mattia.verga@proton.me> - 2.5-4
- Rebuild for libwcs soname bump after mass rebuild

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Aug 29 2023 Florian Weimer <fweimer@redhat.com> - 2.5-2
- Set build_type_safety_c to 0 (#2159395)

* Thu Aug 24 2023 Mattia Verga <mattia.verga@proton.me> - 2.5-1
- Update to 2.5 (fedora#2232720)

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Dec 29 2022 Maxwell G <gotmax@e.email> - 2.4-4
- Rebuild for cfitsio 4.2

* Tue Aug 23 2022 Mamoru TASAKA <mtasaka@fedoraproject.org> - 2.4-3
- Rebuild for gsl-2.7.1

* Sun Jul 31 2022 Mattia Verga <mattia.verga@proton.me> - 2.4-2
- Update License tags to SPDX identifiers

* Sun Jul 31 2022 Mattia Verga <mattia.verga@proton.me> - 2.4-1
- Update to 2.4 (Fedora#2112629)

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue May 24 2022 Mattia Verga <mattia.verga@protonmail.com> - 2.3-1
- Update to 2.3 (fedora#2089044)
- Enable batch solver build

* Wed Feb 23 2022 Mattia Verga <mattia.verga@protonmail.com> - 1.9-4.20220211git832bc60
- BuildRequires desktop-file-utils
- Initial import (fedora#2053682)

* Mon Feb 21 2022 Mattia Verga <mattia.verga@protonmail.com> - 1.9-3.20220211git832bc60
- Provide custom desktop file and icons

* Sat Feb 19 2022 Mattia Verga <mattia.verga@protonmail.com> - 1.9-2.20220211git832bc60
- Fixed license

* Fri Feb 11 2022 Mattia Verga <mattia.verga@protonmail.com> - 1.9-1.20220211git832bc60
- Update to 1.9

* Sat Mar 13 2021 Christian Dersch <lupinix@mailbox.org> - 1.6-0.1.20210313gitf3f1456
- initial package

## END: Generated by rpmautospec
